{% extends 'base.html.twig' %}

{% block body %}
<main class='main-content bgc-grey-100 px-0'>
    <h1>Docenti</h1>

    <div class="table-responsive">
        <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th>Codice Fiscale</th>
                <th>Cognome</th>
                <th>Nome</th>
                <th>Provider</th>
                <th>Email</th>
                <th>Username</th>
                <th>Azioni</th>
            </tr>
            </thead>
            <tbody>
            {% for entity in pagination %}
                <tr data-person-username="{{ entity.username }}" data-person-id="{{ entity.id }}">
                    <td>{{ entity.fiscalCode }}</td>
                    <td>{{ entity.lastname }}</td>
                    <td>{{ entity.firstname }}</td>
                    <td>{{ entity.provider.name }}</td>
                    <td>{{ entity.email }}</td>
                    <td>{{ entity.username }}</td>
                    <td>
                        <a href="{{ path('teacher_edit', { 'id': entity.id }) }}" class="btn btn-primary mb-1">Modifica</a>
                        <div class="dropdown">
                            <button type="button" class="btn btn-secondary dropdown-toggle"
                                    data-bs-toggle="dropdown"
                                    aria-haspopup="true" aria-expanded="false">
                                Azioni <span class="caret"></span>
                            </button>
                            <div class="dropdown-menu dropdown-menu-right">
                                <a href="#" class="dropdown-item showPersonDataBt">
                                    Visualizza i dati
                                </a>
                                {% if entity.username %}
                                <a href="#" class="dropdown-item resetPersonPasswordBt"
                                   data-person-pass="{{ entity.startingPassword }}">
                                    Reimposta la password
                                </a>
                                <a href="#" class="dropdown-item renewPersonPasswordBt">
                                    Crea una nuova password
                                </a>
                                {% endif %}
                            </div>
                        </div>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    <div class="row">
        <div class="col-md-4 mb-3 text-center text-md-start">
            <div class="navigation">
                {{ knp_pagination_render(pagination) }}
            </div>
        </div>
        <div class="col-md-4 text-center mb-3">
            <a href="{{ path('teacher_new') }}" class="btn btn-primary">Crea Nuovo Docente</a>
        </div>
        <div class="col-md-4 mb-3">
            <form class="form-search" action="{{ path('teacher_list') }}">
                <div class="mb-3 d-flex flex-wrap justify-content-center justify-content-md-end">
                    <select style="width: inherit; display: inline;" id="providerId" name="providerId"
                            class="form-select mb-1 me-1 order-1 order-md-0">
                        <option value="">Tutti i provider</option>
                        {% for entity in providers %}
                            <option value="{{ entity.id }}"
                                    {{ ((providerId is defined) and (entity.id==providerId))?"selected" }}
                            >{{ entity.name }}</option>
                        {% endfor %}
                    </select>

                    <div class="me-1 mb-1 order-2 order-md-0">
                        <label for="type" class="visually-hidden"></label>
                        <select class="form-select" style="width: inherit; display: inline;" id="type" name="type">
                            <option value="" >Docenti attivi</option>
                            <option value="trashed" {{ type == "trashed" ?"selected" }}>Docenti cestinati</option>
                            <option value="all" {{ type == "all" ?"selected" }}>Tutti</option>
                        </select>
                    </div>

                    <div class="d-inline-flex mb-1 order-0 order-md-1">
                        <input type="text"  style="width: inherit; display: inline;"
                               id="queryString" name="queryString" class="form-control me-1" placeholder="Cerca" value="{{ queryString|escape('html') }}">
                        <button class="btn btn-secondary" type="submit"><i class="fa-solid fa-magnifying-glass"></i></button>
                    </div>
                </div>
            </form>
        </div>
    </div>

</main>
    {% include 'components/user_actions_modal.html.twig' with {personType: 'teacher'} %}

{% endblock %}

{% block javascripts %}
    {{ parent() }}
<script>
    {% include 'components/user_actions_modal.js.twig' with {personType: 'teacher'} %}
</script>
{% endblock %}
